LibreOffice: XGraphics2 Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XGraphics2 Interface Referencepublished

provides the basic output operation of a device. More...

`import "XGraphics2.idl";`

Inheritance diagram for XGraphics2:

## Public Member Functions
void | clear ([in] Rectangle aRect)
| clears the given rectangle on the device
void | drawImage ([in] long nX, [in] long nY, [in] long nWidth, [in] long nHeight, [in] short nStyle, [in] ::com::sun::star::graphic::XGraphic aGraphic)
| draws a com::sun::star::graphic::XGraphic in the output device.
Public Member Functions inherited from XGraphics
XDevice | getDevice ()
| returns the device of this graphics.
SimpleFontMetric | getFontMetric ()
| returns the font metric of the current font.
void | setFont ([in] XFont xNewFont)
| sets the font used by text operations.
void | selectFont ([in] FontDescriptor aDescription)
| creates a new font and sets the font.
void | setTextColor ([in] com::sun::star::util::Color nColor)
| sets the text color used by text operations.
void | setTextFillColor ([in] com::sun::star::util::Color nColor)
| sets the fill color used by text operations.
void | setLineColor ([in] com::sun::star::util::Color nColor)
| sets the line color.
void | setFillColor ([in] com::sun::star::util::Color nColor)
| sets the fill color.
void | setRasterOp ([in] RasterOperation ROP)
| sets the raster operation.
void | setClipRegion ([in] XRegion Clipping)
| sets the clip region to specified clipping.
void | intersectClipRegion ([in] XRegion xClipping)
| builds the intersection with the current region.
void | push ()
| saves all current settings (Font, TextColor, TextFillColor, LineColor, FillColor, RasterOp, ClipRegion).
void | pop ()
| restores all previous saved settings.
void | copy ([in] XDevice xSource, [in] long nSourceX, [in] long nSourceY, [in] long nSourceWidth, [in] long nSourceHeight, [in] long nDestX, [in] long nDestY, [in] long nDestWidth, [in] long nDestHeight)
| copies a rectangle of pixels from another device into this one.
void | draw ([in] XDisplayBitmap xBitmapHandle, [in] long SourceX, [in] long SourceY, [in] long SourceWidth, [in] long SourceHeight, [in] long DestX, [in] long DestY, [in] long DestWidth, [in] long DestHeight)
| draws a part of the specified bitmap to the output device.
void | drawPixel ([in] long X, [in] long Y)
| sets a single pixel in the output device.
void | drawLine ([in] long X1, [in] long Y1, [in] long X2, [in] long Y2)
| draws a line in the output device.
void | drawRect ([in] long X, [in] long Y, [in] long Width, [in] long Height)
| draws a rectangle in the output device.
void | drawRoundedRect ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] long nHorzRound, [in] long nVertRound)
| draws a rectangle with rounded corners in the output device.
void | drawPolyLine ([in] sequence< long > DataX, [in] sequence< long > DataY)
| draws multiple lines in the output device at once.
void | drawPolygon ([in] sequence< long > DataX, [in] sequence< long > DataY)
| draws a polygon line in the output device.
void | drawPolyPolygon ([in] sequence< sequence< long > > DataX, [in] sequence< sequence< long > > DataY)
| draws multiple polygons in the output device at once.
void | drawEllipse ([in] long X, [in] long Y, [in] long Width, [in] long Height)
| draws an ellipse in the output device.
void | drawArc ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2)
| draws an arc (part of a circle) in the output device.
void | drawPie ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2)
| draws a circular area in the output device.
void | drawChord ([in] long nX, [in] long nY, [in] long nWidth, [in] long nHeight, [in] long nX1, [in] long nY1, [in] long nX2, [in] long nY2)
| draws a chord of a circular area in the output device.
void | drawGradient ([in] long nX, [in] long nY, [in] long nWidth, [in] long Height, [in] Gradient aGradient)
| draws a color dispersion in the output device.
void | drawText ([in] long X, [in] long Y, [in] string Text)
| draws text in the output device.
void | drawTextArray ([in] long X, [in] long Y, [in] string Text, [in] sequence< long > Longs)
| draws texts in the output device using an explicit kerning table.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides the basic output operation of a device.

## Member Function Documentation

## ◆ clear()

void clear | ( | [in] Rectangle | aRect | ) |

clears the given rectangle on the device

Since
  LibreOffice 4.1

## ◆ drawImage()

void drawImage | ( | [in] long | nX,
|  | [in] long | nY,
|  | [in] long | nWidth,
|  | [in] long | nHeight,
|  | [in] short | nStyle,
|  | [in] ::com::sun::star::graphic::XGraphic | aGraphic )

draws a com::sun::star::graphic::XGraphic in the output device.

Note that some devices may not support this operation.

Since
  LibreOffice 4.1

Parameters

  nX | the X coordinate on the device where the graphic will be drawn
  nY | the Y coordinate on the device where the graphic will be drawn
  nWidth | the width of the region on the device
  nHeight | the height of the region on the device
  nStyle | the style used to draw the image. See com::sun::star::awt::ImageDrawMode.
  aGraphic | the com::sun::star::graphic::XGraphic to be drawn onto the device

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XGraphics2.idl